<details>
    <summary><b>FileExists:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>CompotoViewtoForm:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>FormViewNamesMatch:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>DisplayView:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        &lt;!-- &lt;lia-route pattern=&quot;/note-$id/&quot; autoform&gt; --&gt;
        &lt;!-- &lt;lia-route pattern=&quot;/&quot; onmatch=&quot;&lt; ?php $id=&quot;*&quot;;? &gt;&quot; &gt; --&gt;
        &lt;!-- &lt;lia-route pattern=&quot;/note-$id/&quot; pattern-form=&quot;/note-$id/edit/&quot; pattern-submit=&quot;/note-$id/submit/&quot; /&gt; --&gt;
        &lt;!-- &lt;lia-route pattern=&quot;/note-$id/edit/&quot; type='form' /&gt; --&gt;
        &lt;!-- &lt;lia-route pattern=&quot;/note-$id/submit/&quot; type='submit' /&gt; --&gt;
        &lt;div&gt;
            This is not repeatable
        &lt;/div&gt;
        &lt;div&gt;
            &lt;h6&gt;table: note&lt;/h6&gt;
            &lt;div style=&quot;background:#EEE&quot;&gt;
                &lt;h1&gt;Note: first note&lt;/h1&gt;
                &lt;p&gt;&lt;p&gt;the first paragraph of a note is always the best paragraph.&lt;/p&gt;
        &lt;/p&gt;
                a thing        the first paragraph of a note is always the best paragraph.    &lt;/div&gt;
            &lt;hr&gt;
        &lt;/div&gt;
        
        &lt;hr&gt;
        &lt;hr&gt;
        &lt;div&gt;
            &lt;h6&gt;table: note&lt;/h6&gt;
            &lt;div style=&quot;background:#EEE&quot;&gt;
                &lt;h1&gt;Note: first note&lt;/h1&gt;
                &lt;p&gt;&lt;p&gt;the first paragraph of a note is always the best paragraph.&lt;/p&gt;
        &lt;/p&gt;
                a thing        the first paragraph of a note is always the best paragraph.    &lt;/div&gt;
            &lt;hr&gt;
        &lt;/div&gt;&lt;div&gt;
            &lt;h6&gt;table: note&lt;/h6&gt;
            &lt;div style=&quot;background:#EEE&quot;&gt;
                &lt;h1&gt;Note: second note&lt;/h1&gt;
                &lt;p&gt;&lt;p&gt;the second note with a paragraph is the worst note.&lt;/p&gt;
        &lt;/p&gt;
                a thing        the second note with a paragraph is the worst note.    &lt;/div&gt;
            &lt;hr&gt;
        &lt;/div&gt;
        
        
        
    </div>
</details>
<details>
    <summary><b>DisplayEditForm:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
            &lt;form action=&quot;#these-tests-dont-use-a-webserver&quot; method=&quot;POST&quot;&gt;
        am a form
        
            &lt;input type=&quot;text&quot; name=&quot;name&quot; value=&quot;first note&quot;&gt;
            &lt;input type=&quot;text&quot; name=&quot;body&quot; value=&quot;the first paragraph of a note is always the best paragraph.&quot;&gt;
        
            &lt;input type=&quot;submit&quot;&gt;
        &lt;input name=&quot;id&quot; value=&quot;1&quot; type=&quot;hidden&quot;&gt;&lt;input name=&quot;fresh_table&quot; value=&quot;note&quot; type=&quot;hidden&quot;&gt;
        &lt;/form&gt;
            
        
    </div>
</details>
<details>
    <summary><b>Compile:</b> <strong style="color:blue;">error</strong>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
    <br>
    <div style='color:red;padding-left:4ch;white-space:pre;'>
        Exception: Compile test is not yet written
         in /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php:106
        Stack trace:
        #0 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(33): CompoTester->testCompile()
        #1 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(100): RBear\Tester->run()
        #2 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php(290): RBear\Tester::runAll()
        #3 {main}
    </div>
</details>
<details>
    <summary><b>Passthru:</b> <strong style="color:blue;">error</strong>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
    <br>
    <div style='color:red;padding-left:4ch;white-space:pre;'>
        Exception: passthru test not yet written in /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php:109
        Stack trace:
        #0 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(33): CompoTester->testPassthru()
        #1 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(100): RBear\Tester->run()
        #2 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php(290): RBear\Tester::runAll()
        #3 {main}
    </div>
</details>
<details>
    <summary><b>DisplayCreateForm:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
            &lt;form action=&quot;#these-tests-dont-use-a-webserver&quot; method=&quot;POST&quot;&gt;
        am a form
        
            &lt;input type=&quot;text&quot; name=&quot;name&quot; value=&quot;&quot;&gt;
            &lt;input type=&quot;text&quot; name=&quot;body&quot; value=&quot;&quot;&gt;
        
            &lt;input type=&quot;submit&quot;&gt;
        &lt;input name=&quot;id&quot; value=&quot;&quot; type=&quot;hidden&quot;&gt;&lt;input name=&quot;fresh_table&quot; value=&quot;note&quot; type=&quot;hidden&quot;&gt;
        &lt;/form&gt;
            
        
    </div>
</details>
<details>
    <summary><b>SubmitNew:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>AddRuntimeHandlerPropagation:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>SetRuntimeHandlerPropagation:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>SubmitEdit:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>CompoDoesNotDuplicateViews:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>DiffComposHaveDiffViews:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>GetViewSource:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
<details>
    <summary><b>ReadonlySrc:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        Error: Cannot access protected property Fresh\View::$src in /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php:277
        Stack trace:
        #0 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(33): CompoTester-&gt;testReadonlySrc()
        #1 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/unit-tester/src/Tester.php(100): RBear\Tester-&gt;run()
        #2 /home/reed/all/Dev/WebServer/dev/composer/vendor/rbear/fresh-compo/test/run.php(290): RBear\Tester::runAll()
        #3 {main}
    </div>
</details>
<details>
    <summary><b>Nothing:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
    </div>
</details>
